Skip to main content

GET /traps/stats/aggregated

GET 

traps/stats/aggregated

Retrieve aggregated statistics for spam trap hit events

Query Parameters

period_from string Required
example 2021-07-06T00:00:00.000Z

period_to string Required
example 2021-07-06T00:00:00.000Z

group string Required
Grouping for aggregated trap hit statistics

offset string
Number of items to skip before starting to return results

limit string
Maximum number of items to return per request

ip string
Filter by IP address substring

netmask string
Filter by netmask

profile_id string
Filter by profile ID

smtp_mail_from_domain string
Filter by smtp_mail_from_domain substring

domain_from string
Filter by domain_from substring

sort string
Example: -count (desc) or count (asc)

Returns

  • dataarray
    • ipstring
      IP address associated with this group
    • domain_fromstring
      Sender domain associated with this group
    • email_from_headerstring
      Sender address from the From header associated with this group
    • email_subjectstring
      Email subject associated with this group
    • smtp_mail_from_domainstring
      SMTP MAIL FROM domain associated with this group
    • data_colorcodestring
      Threat classification color code associated with this group
    • countnumber
      Total number of trap hits for this group in the specified period
Error Codes

400 Bad Request

Bad Request

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

500 Internal Server Error

Internal server error